Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface ConstructorElement.Impl

All Superinterfaces:
  Element.Impl, MemberElement.Impl, Serializable

All Known Subinterfaces:
  MethodElement.Impl

Enclosing class:
  ConstructorElement

    public static interface ConstructorElement.Impl

extends MemberElement.Impl

Implementation of constructors.

See Also:
  `ConstructorElement`

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`String` | `getBody()` Get the body.
`Identifier[]` | `getExceptions()` Get the thrown exceptions.
`JavaDoc.Method` | `getJavaDoc()` Get the JavaDoc.
`MethodParameter[]` | `getParameters()` Get the method parameters.
`void` | `setBody(String s)` Set the body.
`void` | `setExceptions(Identifier[] exceptions)` Set the thrown exceptions.
`void` | `setParameters(MethodParameter[] params)` Set the method parameters.

Methods inherited from interface org.openide.src.MemberElement.Impl
`getModifiers, getName, setModifiers, setName`

Methods inherited from interface org.openide.src.Element.Impl
`addPropertyChangeListener, attachedToElement, getCookie, markCurrent, readResolve, removePropertyChangeListener`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### getParameters

    MethodParameter[] getParameters()

  Get the method parameters.

  Returns:
    the parameters

### setParameters

    void setParameters(MethodParameter[] params)
                       throws SourceException

  Set the method parameters.

  Parameters:
    `params` - the new parameters
  Throws:
    `SourceException` - if impossible

### getExceptions

    Identifier[] getExceptions()

  Get the thrown exceptions.

  Returns:
    the exceptions, by name

### setExceptions

    void setExceptions(Identifier[] exceptions)
                       throws SourceException

  Set the thrown exceptions.

  Parameters:
    `exceptions` - the new exceptions to be thrown, by name
  Throws:
    `SourceException` - if impossible

### setBody

    void setBody(String s)
                 throws SourceException

  Set the body.

  Parameters:
    `s` - the new body (may be `null` for methods)
  Throws:
    `SourceException` - if impossible
  See Also:
    `ConstructorElement.getBody()`

### getBody

    String getBody()

  Get the body.

  Returns:
    the body (may be `null` for methods)
  See Also:
    `ConstructorElement.getBody()`

### getJavaDoc

    JavaDoc.Method getJavaDoc()

  Get the JavaDoc.

  Returns:
    the JavaDoc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.